#include <xvt.h>
#include <checks.h>

#include "at2.h"

#define usage "Error - usage : %s -[0,1,2,3,4,5]"

int main(int argc, char** argv)
{
  int rt = 0 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;
  
  switch (r)
  {
  case 0:
    rt = at2100(argc, argv); break;
  case 1:
    rt = at2200(argc, argv); break;
  case 2:
    rt = at2300(argc, argv); break;
  case 3:
    rt = at2400(argc, argv); break;
  case 4:
    rt = at2500(argc, argv); break;
  case 5:
    rt = at2600(argc, argv); break;
default:
    error_box(usage, argv[0]) ; rt = 1; break;                  
  }
  return rt;
}
